/*
** Provide a help page to training system
** Class: Help.java
** Author: Yuping Zhu
** Date: 04-25-1999
*/

package ascdb.pub;

// import package oracle.html to generate dynamic HTML page
import oracle.html.*;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;


public class Help extends HttpServlet {
    public void doGet(HttpServletRequest req, HttpServletResponse res)
	throws ServletException, IOException
    {
	
        // Output HTML page header
        res.setContentType("text/html");
	PrintWriter out = res.getWriter();

	try {
	  // Creates an HtmlHead Object
	  HtmlHead hd = new HtmlHead("Training System Help Page");
	
          // Create an HtmlBody Object
	  HtmlBody bd = new HtmlBody();

	  // Sets various attributes of HtmlBody
     	  bd.setBackgroundColor("#fffff2");

	  // Creates an HtmlPage object using hd and bd
	  HtmlPage hp = new HtmlPage(hd, bd);
	  Font f = new Font(Color.red,"myfont","+5");

	  hp
//	  .addItem(new Image(dbconf.ImageBase + "pet.gif","PET",IVAlign.TOP,false).setCenter())
          .addItem(SimpleItem.Paragraph)
	  .addItem(new SimpleItem(f.toHTML()))
	  .addItem(new SimpleItem("Training System Help Page").setCenter().setBold().setHeading(3))
	  .addItem(SimpleItem.HorizontalRule)
	  .addItem(SimpleItem.Paragraph);

	  Font bf = new Font(Color.teal,null,"+1");
	  hp.addItem(new SimpleItem(bf.toHTML()));	

	  //Creates the table with 2 columns
	  DynamicTable tab = new DynamicTable(2);
 	  tab.setBackgroundColor (Color.pink);
          tab.setBorderColor (Color.navy);
	  tab.setCellSpacing(2);
	  tab.setCellPadding(5);
	
	  TableRow[] rows = new TableRow[6];
	  for(int i=0; i < 6; i++)
	    rows[i] = new TableRow();
	
	  rows[0]
	    .addCell(new TableDataCell(new SimpleItem("Catalogue").setBold().setFontColor(Color.maroon)))
	    .addCell(new TableDataCell(new SimpleItem("Functions").setBold().setFontColor(Color.maroon)));

	  DynamicTable tab1 = new DynamicTable(2);
	  TableRow[] rows1 = new TableRow[5];
	  for(int i=0; i < 5; i++)
	    rows1[i] = new TableRow();
	  rows1[0]
		.addCell(new TableDataCell(new SimpleItem("List").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(new SimpleItem("List all courses").setBold()));
	  rows1[1]
		.addCell(new TableDataCell(new SimpleItem("Info. Input").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(new SimpleItem("Input course syllabus and other information").setBold()));
	  rows1[2]
		.addCell(new TableDataCell(new SimpleItem("Add").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(new SimpleItem("Create a new course").setBold()));
	  rows1[3]
		.addCell(new TableDataCell(new SimpleItem("Modify").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(new SimpleItem("Update information on a course").setBold()));
	  rows1[4]
		.addCell(new TableDataCell(new SimpleItem("Delete").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(new SimpleItem("Delete a course from the system").setBold()));

	  // Add new row to table
	  for( int i=0; i< 5; i++)
	    tab1.addRow(rows1[i]);

	  rows[1]
		.addCell(new TableDataCell(new SimpleItem("Courses").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(tab1));

	  DynamicTable tab2 = new DynamicTable(2);
	  TableRow[] rows2 = new TableRow[6];
	  for(int i=0; i < 6; i++)
	    rows2[i] = new TableRow();
	  rows2[0]
		.addCell(new TableDataCell(new SimpleItem("List").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(new SimpleItem("List all class sessions").setBold()));
	  rows2[1]
		.addCell(new TableDataCell(new SimpleItem("Register").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(new SimpleItem("Students register for a class sessions").setBold()));
	  rows2[2]
		.addCell(new TableDataCell(new SimpleItem("Enrollment").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(new SimpleItem("View a class roster").setBold()));
	  rows2[3]
		.addCell(new TableDataCell(new SimpleItem("Add").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(new SimpleItem("Create a new class session for a course").setBold()));
	  rows2[4]
		.addCell(new TableDataCell(new SimpleItem("Modify").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(new SimpleItem("Update information for a class session").setBold()));
	  rows2[5]
		.addCell(new TableDataCell(new SimpleItem("Delete").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(new SimpleItem("Delete a class session from the system").setBold()));

	  // Add new row to table
	  for( int i=0; i< 6; i++)
	    tab2.addRow(rows2[i]);

	  rows[2]
		.addCell(new TableDataCell(new SimpleItem("Classes").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(tab2));

	  DynamicTable tab3 = new DynamicTable(2);
	  TableRow[] rows3 = new TableRow[5];
	  for(int i=0; i < 5; i++)
	    rows3[i] = new TableRow();
	  rows3[0]
		.addCell(new TableDataCell(new SimpleItem("List").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(new SimpleItem("List all training system user accounts").setBold()));
	  rows3[1]
		.addCell(new TableDataCell(new SimpleItem("Approve").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(new SimpleItem("Approve a new registered user").setBold()));
	  rows3[2]
		.addCell(new TableDataCell(new SimpleItem("Modify").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(new SimpleItem("Update information on a user").setBold()));
	  rows3[3]
		.addCell(new TableDataCell(new SimpleItem("Delete").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(new SimpleItem("Delete a user account from the system").setBold()));
	   rows3[4]
		.addCell(new TableDataCell(new SimpleItem("Register").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(new SimpleItem("Apply for a new user account").setBold()));

	  // Add new row to table
	  for( int i=0; i< 5; i++)
	    tab3.addRow(rows3[i]);

	  rows[3]
		.addCell(new TableDataCell(new SimpleItem("Users").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(tab3));

	  rows[4]
		.addCell(new TableDataCell(new SimpleItem("Evaluations").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(new SimpleItem("Not available yet").setBold().setFontColor(Color.red)));

	  DynamicTable tab5 = new DynamicTable(2);
	  TableRow[] rows5 = new TableRow[4];
	  for(int i=0; i < 4; i++)
	    rows5[i] = new TableRow();

	  rows5[0]
		.addCell(new TableDataCell(new SimpleItem("View").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(new SimpleItem("List all records of selected look up table").setBold()));
	  rows5[1]
		.addCell(new TableDataCell(new SimpleItem("Add").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(new SimpleItem("Add a new record to a selected look up table").setBold()));
	  rows5[2]
		.addCell(new TableDataCell(new SimpleItem("Modify").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(new SimpleItem("Update a record on a selected look up table").setBold()));
	  rows5[3]
		.addCell(new TableDataCell(new SimpleItem("Delete").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(new SimpleItem("Delete a record on a selected look up table").setBold()));

	  // Add new row to table
	  for( int i=0; i< 4; i++)
	    tab5.addRow(rows5[i]);

	  rows[5]
		.addCell(new TableDataCell(new SimpleItem("Look up tables").setBold().setFontColor(Color.red)))
		.addCell(new TableDataCell(tab5));

	  // Add new row to table
	  for( int i=0; i<6; i++)
	    tab.addRow(rows[i]);

	  // Add the table to Html Body
	  bd.addItem(tab.setCenter());

	 bd
	  .addItem(SimpleItem.Paragraph)
	  .addItem(SimpleItem.HorizontalRule)
	  .addItem(SimpleItem.Paragraph);
	 // output HTML page
	out.println(hp);
	}
	catch (Exception e) {
		out.println(e.getMessage());
	}
}
}